Rapid7 Vulnerability & Exploit Database

Gentoo Linux: CVE-2015-6927: vzctl: Security bypass

Back to Search

Gentoo Linux: CVE-2015-6927: vzctl: Security bypass

Severity
4
CVSS
(AV:L/AC:L/Au:N/C:N/I:P/A:P)
Published
09/28/2015
Created
07/25/2018
Added
10/30/2017
Modified
10/30/2017

Description

vzctl before 4.9.4 determines the virtual environment (VE) layout based on the presence of root.hdd/DiskDescriptor.xml in the VE private directory, which allows local simfs container (CT) root users to change the root password for arbitrary ploop containers, as demonstrated by a symlink attack on the ploop container root.hdd file and then access a control panel.

Solution(s)

  • gentoo-linux-upgrade-sys-cluster-vzctl

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;